.blog__container {

  .blog__title {
    color: $primary-color;
    font-weight: bold;
    margin-bottom: 12px;
    font-size: 20px;
  }

  .item__inner-box {
    position: relative;

    &:hover {
      cursor: pointer;

      .content__heading {
        color: $primary-color;
        transition: all 0.3s ease;
      }

      .content__btn {
        background: $primary-color;
        transition: all 0.3s ease;
      }
    }
  }

  .item__img-box {
    width: 360px;
    height: 290px;

    img {
      object-fit: cover;
    }
  }

  .item__content {
    position: absolute;
    top: 80%;
    left: 50%;
    width: 80%;
    transform: translateX(-50%);
    background: white;
    padding: 20px 0;
  }

  .fas::before {
    margin-right: 5px;
  }

  .content__header {
    justify-content: space-between;
    padding: 0 30px;
    font-size: 13px;
    margin-bottom: 30px;
  }

  .content__heading {
    font-weight: bold;
    color: $primary-bg-color;
    margin-bottom: 20px;
  }

  .content__text {
    font-size: 14px;
    color: #676767;
    margin-bottom: 40px;
  }

  .content__btn {
    background: $primary-bg-color;
    padding: 10px 30px;
    border: none;
    outline: none;
  }

  .indicators__container {
    margin-bottom: 20px;
  }

  .title__line {
    width: 93%;
    height: 3px;
    background: #e2e2e2;
    position: relative;

    &::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 44px;
      height: 3px;
      background: $primary-color;
    }
  }

  .slider__item {
    height: 640px;
  }

  .slider__indicators {
    top: -28px;
    right: -167px;
    justify-content: flex-end;
    z-index: 0;

    li {
      width: 13px;
      height: 13px;
      border-radius: 50%;
      background: #e2e2e2;
      border: none;
      box-sizing: unset;
      margin-left: 11px;

      &.active {
        background: $primary-color;

      }
    }
  }
}

@media (max-width: 991px) and (min-width: 768px) {
  .blog__container {
    .item__img-box {
      width: 330px;
      height: 265px;
    }

    .title__line {
      width: 85%;
    }

    .slider__indicators {
      right: -107px;
    }
  }
}

@media (max-width: 767px) and (min-width: 480px) {
  .blog__container {

    .slider__item {
      height: 600px;

    }

    .item__content {
      width: 300px;
    }

    .indicators__container {
      height: 30px;
      width: 100%;
    }

    .controls__container {
      position: absolute;
      width: 15%;
      height: 30px;
      top: -50px;
      right: 0;
    }

    .carousel__controls {
      top: -15px;
      right: 0;
      bottom: 15px;
      width: 30px;
      opacity: unset;
    }

    .carousel-control-prev-icon, .carousel-control-next-icon {
      color: black;
      width: 30px;
      height: 30px;
      border: 1px solid black;
      font-size: 20px;


      &:hover {
        color: white;
        background: $primary-color;
        transition: all 0.3s ease;
      }
    }

    .item__img-box {
      width: 360px;
      height: 290px;
    }
    .item__inner-box {
      margin: 0 auto;
      display: flex;
      justify-content: center;
    }

    .title__line {
      width: 83%;
    }
  }
}

